import request from '@/utils/request'

/**
 * 删除附件
 * @param {string} id 分页参数
 * @author lroyia
 * @since 2021年2月5日 15:57:10
 */
export function removeAttachementById(id) {
  const form = new FormData()
  form.append('id', id)
  return request({
    url: '/attachment/delLawFile.do',
    method: 'post',
    data: form
  })
}

/**
 * 列出通过业务号获取附件清单
 * @param {string} bizseq 业务号
 * @author lroyia
 * @since 2021年2月19日 11:27:44
 */
export function listAttachmentByBizseq(bizseq) {
  const form = new FormData()
  form.append('bizseq', bizseq)
  return request({
    url: '/attachment/selectwritByPage.do',
    method: 'post',
    data: form
  })
}
export function listFile(params) {
  return request({
    url: '/fraudReg/process/listFile',
    method: 'get',
    params
  })
}
/**
 * 列出通过附件属性获取附件清单
 * @param {object} data 附件属性对象
 * @author Lee
 * @since 2021年5月31日 11：12：00
 */
export function listAttachmentByModelParam(data) {
  const form = new FormData()
  for (const key in data) {
    form.append(key, data[key])
  }
  return request({
    url: '/attachment/getAttachmentList',
    method: 'post',
    data
  })
}
/**
 * 下载文件
 */
export function downFile(filePath, fileName) {
  return request({
    url: `/attachment/down?filePath=` + filePath + '&fileName=' + fileName,
    method: 'get'
  })
}

export function delFile(id) {
  const form = new FormData()
  form.append('id', id)
  return request({
    url: '/attachment/delFile',
    method: 'post',
    data: form
  })
}
